stages:
  - test

.test_template: &test_template
  stage: test
  image: pgxn/pgxn-tools

pg10:
  <<: *test_template
  script:
    - pg-start 10
    - echo "wal_level = 'logical'" >> $(psql --no-psqlrc -U postgres -Atqc 'SHOW config_file')
    - pg_ctlcluster 10 test restart
    - pg-build-test

pg11:
  <<: *test_template
  script:
    - pg-start 11
    - echo "wal_level = 'logical'" >> $(psql --no-psqlrc -U postgres -Atqc 'SHOW config_file')
    - pg_ctlcluster 11 test restart
    - pg-build-test

pg12:
  <<: *test_template
  script:
    - pg-start 12
    - echo "wal_level = 'logical'" >> $(psql --no-psqlrc -U postgres -Atqc 'SHOW config_file')
    - pg_ctlcluster 12 test restart
    - pg-build-test

pg13:
  <<: *test_template
  script:
    - pg-start 13
    - echo "wal_level = 'logical'" >> $(psql --no-psqlrc -U postgres -Atqc 'SHOW config_file')
    - pg_ctlcluster 13 test restart
    - pg-build-test

pg14:
  <<: *test_template
  script:
    - pg-start 14
    - echo "wal_level = 'logical'" >> $(psql --no-psqlrc -U postgres -Atqc 'SHOW config_file')
    - pg_ctlcluster 14 test restart
    - pg-build-test
